{
  "parserOptions": {
    "ecmaVersion": 7,
    "sourceType": "module"
  },
  "parser": "babel-eslint",
  "env": {
    "browser": true,
    "es6": true,
    "node": true
  },
  "extends": ["eslint:recommended"],
  "rules": {
    "no-shadow": [2, {"builtinGlobals": true, "allow": ["tape", "t", "swear"]}],
    "block-spacing": 2,
    "brace-style": [2, "1tbs", {"allowSingleLine": true}],
    "camelcase": [2, {"properties": "never"}],
    "func-style": [1, "declaration", {"allowArrowFunctions": true}],
    "id-length":[2, {"min": 3, "properties": "never", "exceptions": ["x", "c", "fs", "s3", "S3"]}],
    "id-match": 0,
    "indent": [2, 2],
    "quotes": [2, "backtick"],
    "arrow-body-style": [2, "always"],
    "no-var": 2,
    "prefer-const": 2,
    "prefer-spread": 2,
    "no-console": 0
  }
}
